package com.ruoyi.shipping.domain;

import java.math.BigDecimal;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 凯和商务端上传箱信息暂存数据对象 t_temporary_file
 * 
 * @author ruoyi
 * @date 2021-07-01
 */
public class TTemporaryFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 箱号 */
    @Excel(name = "箱号")
    private String fCntrno;

    /** 铅封号 */
    @Excel(name = "铅封号")
    private String fSealno;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long fGoodsid;

    /** 包装ID */
    @Excel(name = "包装ID")
    private String fPackageid;

    /** 箱型id */
    @Excel(name = "箱型id")
    private Long fCntrid;

    /** 单箱重 */
    @Excel(name = "单箱重")
    private BigDecimal fCntrweight;

    /** 货名 */
    @Excel(name = "货名")
    private String goodsName;

    /** 包装类型中文 */
    @Excel(name = "包装类型中文")
    private String packageName;

    /** 箱型中文 */
    @Excel(name = "箱型中文")
    private String cntrName;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;
    //存已有数据
    private String tTemporaryFileList;

    public String gettTemporaryFileList() {
        return tTemporaryFileList;
    }

    public void settTemporaryFileList(String tTemporaryFileList) {
        this.tTemporaryFileList = tTemporaryFileList;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfCntrno(String fCntrno) 
    {
        this.fCntrno = fCntrno;
    }

    public String getfCntrno() 
    {
        return fCntrno;
    }
    public void setfSealno(String fSealno) 
    {
        this.fSealno = fSealno;
    }

    public String getfSealno() 
    {
        return fSealno;
    }
    public void setfGoodsid(Long fGoodsid) 
    {
        this.fGoodsid = fGoodsid;
    }

    public Long getfGoodsid() 
    {
        return fGoodsid;
    }
    public void setfPackageid(String fPackageid) 
    {
        this.fPackageid = fPackageid;
    }

    public String getfPackageid() 
    {
        return fPackageid;
    }
    public void setfCntrid(Long fCntrid) 
    {
        this.fCntrid = fCntrid;
    }

    public Long getfCntrid() 
    {
        return fCntrid;
    }
    public void setfCntrweight(BigDecimal fCntrweight) 
    {
        this.fCntrweight = fCntrweight;
    }

    public BigDecimal getfCntrweight() 
    {
        return fCntrweight;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setPackageName(String packageName) 
    {
        this.packageName = packageName;
    }

    public String getPackageName() 
    {
        return packageName;
    }
    public void setCntrName(String cntrName) 
    {
        this.cntrName = cntrName;
    }

    public String getCntrName() 
    {
        return cntrName;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fCntrno", getfCntrno())
            .append("fSealno", getfSealno())
            .append("fGoodsid", getfGoodsid())
            .append("fPackageid", getfPackageid())
            .append("fCntrid", getfCntrid())
            .append("fCntrweight", getfCntrweight())
            .append("goodsName", getGoodsName())
            .append("packageName", getPackageName())
            .append("cntrName", getCntrName())
            .append("fileName", getFileName())
            .toString();
    }
}
